summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDenys Vlasenko <vda.linux@googlemail.com>2011-04-05 00:37:15 (GMT)
committer Denys Vlasenko <vda.linux@googlemail.com>2011-04-05 00:37:15 (GMT)
commitc0644cac0d430a2925920aec6820dd103cdf145f (patch)
tree203639dacab650411170fca8f56d3515758e982d
parent9eb7bfd4d4ede3b6aa6a42595fd8824316ab4e2f (diff)
downloadbusybox-c0644cac0d430a2925920aec6820dd103cdf145f.tar.gz
busybox-c0644cac0d430a2925920aec6820dd103cdf145f.tar.bz2
applets/install.sh: afer quoting of variables
Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
-rwxr-xr-xapplets/install.sh69
1 files changed, 34 insertions, 35 deletions
diff --git a/applets/install.sh b/applets/install.sh
index 8f449d6..95b4719 100755
--- a/applets/install.sh
+++ b/applets/install.sh
@@ -3,12 +3,15 @@
export LC_ALL=POSIX
export LC_CTYPE=POSIX
-prefix=${1}
+prefix=$1
if [ -z "$prefix" ]; then
echo "usage: applets/install.sh DESTINATION [--symlinks/--hardlinks/--scriptwrapper]"
- exit 1;
+ exit 1
fi
+
h=`sort busybox.links | uniq`
+
+linkopts=""
scriptwrapper="n"
cleanup="0"
noclobber="0"
@@ -33,12 +36,12 @@ if [ -n "$DO_INSTALL_LIBS" ] && [ "$DO_INSTALL_LIBS" != "n" ]; then
libdir=/lib
fi
- mkdir -p $prefix/$libdir || exit 1
+ mkdir -p "$prefix/$libdir" || exit 1
for i in $DO_INSTALL_LIBS; do
- rm -f $prefix/$libdir/$i || exit 1
- if [ -f $i ]; then
- cp -pPR $i $prefix/$libdir/ || exit 1
- chmod 0644 $prefix/$libdir/$i || exit 1
+ rm -f "$prefix/$libdir/$i" || exit 1
+ if [ -f "$i" ]; then
+ cp -pPR "$i" "$prefix/$libdir/" || exit 1
+ chmod 0644 "$prefix/$libdir/$i" || exit 1
fi
done
fi
@@ -46,40 +49,40 @@ fi
if [ "$cleanup" = "1" ] && [ -e "$prefix/bin/busybox" ]; then
inode=`ls -i "$prefix/bin/busybox" | awk '{print $1}'`
sub_shell_it=`
- cd "$prefix"
- for d in usr/sbin usr/bin sbin bin; do
- pd=$PWD
- if [ -d "$d" ]; then
- cd $d
- ls -iL . | grep "^ *$inode" | awk '{print $2}' | env -i xargs rm -f
- fi
- cd "$pd"
- done
- `
+ cd "$prefix"
+ for d in usr/sbin usr/bin sbin bin; do
+ pd=$PWD
+ if [ -d "$d" ]; then
+ cd "$d"
+ ls -iL . | grep "^ *$inode" | awk '{print $2}' | env -i xargs rm -f
+ fi
+ cd "$pd"
+ done
+ `
exit 0
fi
-rm -f $prefix/bin/busybox || exit 1
-mkdir -p $prefix/bin || exit 1
-install -m 755 busybox $prefix/bin/busybox || exit 1
+rm -f "$prefix/bin/busybox" || exit 1
+mkdir -p "$prefix/bin" || exit 1
+install -m 755 busybox "$prefix/bin/busybox" || exit 1
for i in $h; do
- appdir=`dirname $i`
- mkdir -p $prefix/$appdir || exit 1
+ appdir=`dirname "$i"`
+ mkdir -p "$prefix/$appdir" || exit 1
if [ "$scriptwrapper" = "y" ]; then
if [ "$swrapall" != "y" ] && [ "$i" = "/bin/sh" ]; then
- ln $linkopts busybox $prefix$i || exit 1
+ ln $linkopts busybox "$prefix/$i" || exit 1
else
- rm -f $prefix$i
- echo "#!/bin/busybox" > $prefix$i
- chmod +x $prefix/$i
+ rm -f "$prefix/$i"
+ echo "#!/bin/busybox" >"$prefix/$i"
+ chmod +x "$prefix/$i"
fi
echo " $prefix/$i"
else
if [ "$2" = "--hardlinks" ]; then
bb_path="$prefix/bin/busybox"
else
- case "/$appdir" in
+ case "$appdir" in
/)
bb_path="bin/busybox"
;;
@@ -89,22 +92,18 @@ for i in $h; do
/sbin)
bb_path="../bin/busybox"
;;
- /usr/bin|/usr/sbin)
+ /usr/bin | /usr/sbin)
bb_path="../../bin/busybox"
;;
- /root) # root/linuxrc (?!)
- bb_path="bin/busybox"
- i=$(basename $i)
- ;;
*)
- echo "Unknown installation directory: $appdir"
- exit 1
+ echo "Unknown installation directory: $appdir"
+ exit 1
;;
esac
fi
if [ "$noclobber" = "0" ] || [ ! -e "$prefix/$i" ]; then
echo " $prefix/$i -> $bb_path"
- ln $linkopts $bb_path $prefix/$i || exit 1
+ ln $linkopts "$bb_path" "$prefix/$i" || exit 1
else
echo " $prefix/$i already exists"
fi